
Audacious - Bug #1157

Winamp interface: after removing current item, playlist scrolls to the top

February 24, 2022 20:17 - vyachelsav ruban

Status: Closed Start date: February 24, 2022

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/skins-qt Estimated time: 0.00 hour

Target version: 4.2   

Affects version: 4.1   

Description

After removing current item (white in default skin) and pressing up or down TWO times focused item jumps to top of list.

It should stay where it was after delete and first press.

History

#1 - March 05, 2022 14:40 - John Lindgren

I can't reproduce this.

#2 - March 05, 2022 14:56 - John Lindgren

- Tracker changed from Bug to Support

#3 - March 05, 2022 15:14 - vyachelsav ruban

John Lindgren wrote:

I can't reproduce this.

 

Steps to reproduce:

- Switch to winamp interface, default skin

- Add 10 or more files to playlist

- Start/stop playing any file in the middle of list. It becomes current (white).

- Delete this white item using "delete"

- Press "up" first time.

- Press "up" second time. After second press cursor item jumps to top of list.

#4 - April 08, 2022 11:06 - Jonathan Archer

John Lindgren wrote:

I can't reproduce this.

 

But I did. Just a moment ago in 4.2-beta from AUR. 3 different playlists, 3 times it happened the way the man said. But it only works if the option

"jump to next track if the current one is removed" is disabled.
simplescreenrecorder-2022-04-08_14.00.46.mkv

https://www50.zippyshare.com/v/oxszCJos/file.html

#5 - April 09, 2022 00:40 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.2

- Status changed from New to Closed

- Category set to plugins/skins-qt

- Subject changed from Winamp interface: after removing current item from playlist focused item should jump to top of list to Winamp interface: after

removing current item, playlist scrolls to the top

- Tracker changed from Support to Bug

Thanks for the additional info.  With your clue about disabling "Advance when the current song is deleted", I do see an issue where the playlist scrolls

to the top after deleting the current item.  Probably "focused item jumps to top of list" was just a poor choice of words, and it's the same issue.

https://github.com/audacious-media-player/audacious-plugins/commit/fc8622d9339992eec85f0f2b1807f81bcbff9534

Powered by TCPDF (www.tcpdf.org)

April 23, 2024 2/2

https://www50.zippyshare.com/v/oxszCJos/file.html
https://github.com/audacious-media-player/audacious-plugins/commit/fc8622d9339992eec85f0f2b1807f81bcbff9534
http://www.tcpdf.org

